# Validate a user invite

Check if a user's invite is still valid. This operation is useful
to avoid having the user fill in a form only to be held by a validation issue
(eg. expired invite).

Endpoint: POST /v1/users/{user_id}/invite/validate
Version: v1
Security: apiKey

## Path parameters:

  - `user_id` (string, required)
    The unique identifier for the user.

## Header parameters:

  - `idempotency-ref` (string)
    A unique call reference generated by the caller that, taking into consideration the payload as well as the operation itself, helps avoid duplicate operations. Idempotency reference uniqueness is maintained for at least 24 hours.

## Request fields (application/json):

  - `inviteCode` (string, required)
    A randomly generated one-time use code.

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "INVITE_OR_INVITE_CODE_INVALID", "IDEMPOTENT_REQUEST_IN_PROGRESS"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

